Bug 7356 - net ads dns register fails in 2008 R2 domain
net ads dns register fails in 2008 R2 domain
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Domain Control
3.4.0
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 07:21 UTC by Chuck Short
Modified: 2011-01-15 09:53 UTC (History)
3 users (show)

See Also:


Attachments
dump from ubuntu 10.04 (45.27 KB, application/octet-stream)
2010-08-03 06:22 UTC, Timo Aaltonen
no flags Details
working dump with nsupdate-gss (22.51 KB, application/octet-stream)
2010-08-04 03:42 UTC, Timo Aaltonen
no flags Details
working dump with samba 3.0.28 on OSX (21.02 KB, application/octet-stream)
2010-08-04 06:53 UTC, Timo Aaltonen
no flags Details
w2k8r2 patch (1.87 KB, patch)
2011-01-12 16:15 UTC, Guenther Deschner
gd: review? (abartlet)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chuck Short 2010-04-13 07:21:52 UTC
Hi,

This bug was reported in launchpad at http://bugs.launchpad.net/bugs/558793. I have included it here:

Binary package hint: samba

Samba fails to do Dynamic DNS updates for Member server in Windows Server 2008 R2 Active Directory

Samba 3.4.7
Ubuntu 10.4 Server

Linux enhs-nunstudy 2.6.32-19-server #28-Ubuntu SMP Thu Apr 1 11:46:36 UTC 2010 x86_64 GNU/Linux
samba 2:3.4.7~dfsg-1ubuntu2

sudo net ads testjoin -P
Join is OK

sudo net ads status -P
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: user
objectClass: computer
cn: enhs-nunstudy
distinguishedName: CN=enhs-nunstudy,OU=Servers,OU=Computers,OU=ENHS,OU=SPH,OU=Medical,OU=TC,OU=Units,DC=ad,DC=umn,DC=edu
instanceType: 4
whenCreated: 20100408191652.0Z
whenChanged: 20100408222355.0Z
uSNCreated: 22096306
uSNChanged: 22164820
name: enhs-nunstudy
objectGUID: 34f5a339-c6ec-4661-XXXXX
userAccountControl: 69632
badPwdCount: 0
codePage: 0
countryCode: 0
badPasswordTime: 129152302177892432
lastLogon: 129152396733757235
localPolicyFlags: 0
pwdLastSet: 129152302174449063
primaryGroupID: 515
objectSid: S-1-5-21-1317685450-XXXX
accountExpires: 9223372036854775807
logonCount: 24
sAMAccountName: ENHS-NUNSTUDY$
location: 160.94.224.93
sAMAccountType: 805306369
dNSHostName: enhs-nunstudy.ad.umn.edu
servicePrincipalName: HOST/enhs-nunstudy.ad.umn.edu
servicePrincipalName: HOST/ENHS-NUNSTUDY
objectCategory: CN=Computer,CN=Schema,CN=Configuration,DC=ad,DC=umn,DC=edu
isCriticalSystemObject: FALSE
dSCorePropagationData: 16010101000000.0Z
lastLogonTimestamp: 129152302176165129

Note: This update fails when passing -U adminAccount%secretpassword

sudo net ads dns register -P
DNS update failed!

I've reproduced this on 3 test servers.

What follows is the debug output for the sudo net ads dns register -P command

[2010/04/08 17:29:46,  5] lib/debug.c:407(debug_dump_status)
  INFO: Current debug levels:
    all: True/99
    tdb: False/0
    printdrivers: False/0
    lanman: False/0
    smb: False/0
    rpc_parse: False/0
    rpc_srv: False/0
    rpc_cli: False/0
    passdb: False/0
    sam: False/0
    auth: False/0
    winbind: False/0
    vfs: False/0
    idmap: False/0
    quota: False/0
    acls: False/0
    locking: False/0
    msdfs: False/0
    dmapi: False/0
    registry: False/0
[2010/04/08 17:29:46,  3] param/loadparm.c:9039(lp_load_ex)
  lp_load_ex: refreshing parameters
[2010/04/08 17:29:46,  3] param/loadparm.c:4848(init_globals)
  Initialising global parameters
[2010/04/08 17:29:46,  2] param/loadparm.c:4707(max_open_files)
  rlimit_max: rlimit_max (1024) below minimum Windows limit (16384)
[2010/04/08 17:29:46,  3] ../lib/util/params.c:550(pm_process)
  params.c:pm_process() - Processing configuration file "/etc/samba/smb.conf"
[2010/04/08 17:29:46,  3] param/loadparm.c:7726(do_section)
  Processing section "[global]"
  doing parameter server string = EnHS Health Studies Samba Server
  doing parameter netbios name = %h
[2010/04/08 17:29:46,  4] param/loadparm.c:7088(handle_netbios_name)
  handle_netbios_name: set global_myname to: ENHS-NUNSTUDY
  doing parameter workgroup = AD
  doing parameter security = ADS
  doing parameter realm = AD.UMN.EDU
  doing parameter local master = no
  doing parameter client ntlmv2 auth = yes
  doing parameter ntlm auth = no
  doing parameter idmap backend = tdb
  doing parameter idmap uid = 16777216-33554431
  doing parameter idmap gid = 16777216-33554431
  doing parameter idmap config AD:backend = rid
  doing parameter idmap config AD:range = 16777216-33554431
  doing parameter template shell = /bin/bash
  doing parameter template homedir = /home/%D/%U
  doing parameter winbind separator = +
  doing parameter winbind use default domain = yes
  doing parameter winbind offline logon = true
  doing parameter winbind enum users = no
  doing parameter winbind enum groups = no
  doing parameter winbind refresh tickets = true
  doing parameter socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
  doing parameter load printers = no
  doing parameter log file = /var/log/samba/log.%m
  doing parameter max log size = 1000
  doing parameter syslog = 0
  doing parameter panic action = /usr/share/samba/panic-action %d
  doing parameter load printers = no
[2010/04/08 17:29:46,  4] param/loadparm.c:9074(lp_load_ex)
  pm_process() returned Yes
[2010/04/08 17:29:46,  7] param/loadparm.c:9279(lp_servicenumber)
  lp_servicenumber: couldn't find homes
[2010/04/08 17:29:46, 10] param/loadparm.c:8287(set_server_role)
  set_server_role: role = ROLE_DOMAIN_MEMBER
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UCS-2LE
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset UCS-2LE
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF-16LE
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF-16LE
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UCS-2BE
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset UCS-2BE
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF-16BE
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF-16BE
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF8
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF8
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UTF-8
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset UTF-8
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset ASCII
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset ASCII
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset 646
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset 646
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset ISO-8859-1
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset ISO-8859-1
[2010/04/08 17:29:46,  5] lib/iconv.c:104(smb_register_charset)
  Attempting to register new charset UCS2-HEX
[2010/04/08 17:29:46,  5] lib/iconv.c:112(smb_register_charset)
  Registered charset UCS2-HEX
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/util.c:266(init_names)
  Netbios name list:-
  my_netbios_names[0]="ENHS-NUNSTUDY"
[2010/04/08 17:29:46,  2] lib/interface.c:340(add_interface)
  added interface eth0 ip=fe80::20c:29ff:fe9e:d4f8%eth0 bcast=fe80::ffff:ffff:ffff:ffff%eth0 netmask=ffff:ffff:ffff:ffff::
[2010/04/08 17:29:46,  2] lib/interface.c:340(add_interface)
  added interface eth0 ip=160.94.224.93 bcast=160.94.224.255 netmask=255.255.255.0
[2010/04/08 17:29:46, 11] libads/ldap.c:589(ads_connect)
  ads_connect: entering
      ads: struct ads_struct
          is_mine                  : true
          ads: struct server
              realm                    : 'AD.UMN.EDU'
              workgroup                : 'AD'
              ldap_server              : NULL
              foreign                  : false
          ads: struct auth
              realm                    : 'AD.UMN.EDU'
              password                 : '(PASSWORD ommited)'
              user_name                : 'ENHS-NUNSTUDY$'
              kdc_server               : NULL
              flags                    : 0x00000000 (0)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     0: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset              : 0x00000000 (0)
              tgt_expire               : (time_t)0
              tgs_expire               : (time_t)0
              renewable                : (time_t)0
          ads: struct config
              flags                    : 0x00000000 (0)
                     0: DS_SERVER_PDC
                     0: DS_SERVER_GC
                     0: DS_SERVER_LDAP
                     0: DS_SERVER_DS
                     0: DS_SERVER_KDC
                     0: DS_SERVER_TIMESERV
                     0: DS_SERVER_CLOSEST
                     0: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     0: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm                    : NULL
              bind_path                : NULL
              ldap_server_name         : NULL
              server_site_name         : NULL
              client_site_name         : NULL
              current_time             : (time_t)0
              schema_path              : NULL
              config_path              : NULL
          ads: struct ldap
              ld                       : NULL
              ss                       :
              last_attempt             : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port                     : 0x00000000 (0)
              wrap_type                : 0x0001 (1)
              sbiod                    : NULL
              mem_ctx                  : NULL
              wrap_ops                 : NULL
              wrap_private_data        : NULL
              ads: struct in
                  ofs                      : 0x00000000 (0)
                  needed                   : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_wrapped              : 0x00000000 (0)
                  min_wrapped              : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs                      : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_unwrapped            : 0x00000000 (0)
                  sig_size                 : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46,  6] libads/ldap.c:346(ads_find_dc)
  ads_find_dc: (ldap) looking for realm 'AD.UMN.EDU'
[2010/04/08 17:29:46,  5] lib/gencache.c:61(gencache_init)
  Opening cache file at /var/run/samba/gencache.tdb
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46,  5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46,  4] libsmb/namequery_dc.c:73(ads_dc_name)
  ads_dc_name: domain=AD
[2010/04/08 17:29:46, 11] libads/ldap.c:589(ads_connect)
  ads_connect: entering
      ads: struct ads_struct
          is_mine                  : true
          ads: struct server
              realm                    : 'AD.UMN.EDU'
              workgroup                : 'AD'
              ldap_server              : NULL
              foreign                  : false
          ads: struct auth
              realm                    : NULL
              password                 : '(PASSWORD ommited)'
              user_name                : NULL
              kdc_server               : NULL
              flags                    : 0x00000002 (2)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     1: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset              : 0x00000000 (0)
              tgt_expire               : (time_t)0
              tgs_expire               : (time_t)0
              renewable                : (time_t)0
          ads: struct config
              flags                    : 0x00000000 (0)
                     0: DS_SERVER_PDC
                     0: DS_SERVER_GC
                     0: DS_SERVER_LDAP
                     0: DS_SERVER_DS
                     0: DS_SERVER_KDC
                     0: DS_SERVER_TIMESERV
                     0: DS_SERVER_CLOSEST
                     0: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     0: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm                    : NULL
              bind_path                : NULL
              ldap_server_name         : NULL
              server_site_name         : NULL
              client_site_name         : NULL
              current_time             : (time_t)0
              schema_path              : NULL
              config_path              : NULL
          ads: struct ldap
              ld                       : NULL
              ss                       :
              last_attempt             : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port                     : 0x00000000 (0)
              wrap_type                : 0x0001 (1)
              sbiod                    : NULL
              mem_ctx                  : NULL
              wrap_ops                 : NULL
              wrap_private_data        : NULL
              ads: struct in
                  ofs                      : 0x00000000 (0)
                  needed                   : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_wrapped              : 0x00000000 (0)
                  min_wrapped              : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs                      : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_unwrapped            : 0x00000000 (0)
                  sig_size                 : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46,  5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46,  6] libads/ldap.c:366(ads_find_dc)
  ads_find_dc: (cldap) looking for realm 'AD.UMN.EDU'
[2010/04/08 17:29:46,  8] libsmb/namequery.c:2156(get_sorted_dc_list)
  get_sorted_dc_list: attempting lookup for name AD.UMN.EDU (sitename TC) using [ads]
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = SAFJOIN/DOMAIN/AD.UMN.EDU couldn't be found
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = SAF/DOMAIN/AD.UMN.EDU, value = dceb2.ad.umn.edu, timeout = Thu Apr  8 17:44:41 2010
[2010/04/08 17:29:46,  5] libsmb/namequery.c:200(saf_fetch)
  saf_fetch: Returning "dceb2.ad.umn.edu" for "AD.UMN.EDU" domain
[2010/04/08 17:29:46,  3] libsmb/namequery.c:1972(get_dc_list)
  get_dc_list: preferred server list: "dceb2.ad.umn.edu, *"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up AD.UMN.EDU#1c (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/AD.UMN.EDU#1C, value = 192.168.33.52:389,192.168.33.51:389,192.168.33.50:389, timeout = Thu Apr  8 17:40:26 2010
[2010/04/08 17:29:46,  5] libsmb/namecache.c:212(namecache_fetch)
  name AD.UMN.EDU#1C found.
[2010/04/08 17:29:46,  8] libsmb/namequery.c:1993(get_dc_list)
  Adding 3 DC's from auto lookup
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46,  5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up dceb2.ad.umn.edu#20 (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/DCEB2.AD.UMN.EDU#20, value = 192.168.33.51:0, timeout = Thu Apr  8 17:40:26 2010
[2010/04/08 17:29:46,  5] libsmb/namecache.c:212(namecache_fetch)
  name dceb2.ad.umn.edu#20 found.
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.52 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.52
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.50 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.50
[2010/04/08 17:29:46, 10] libsmb/namequery.c:583(remove_duplicate_addrs2)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2010/04/08 17:29:46,  4] libsmb/namequery.c:2105(get_dc_list)
  get_dc_list: returning 3 ip addresses in an ordered list
[2010/04/08 17:29:46,  4] libsmb/namequery.c:2106(get_dc_list)
  get_dc_list: 192.168.33.51:389 192.168.33.52:389 192.168.33.50:389
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46,  5] libads/ldap.c:203(ads_try_connect)
  ads_try_connect: sending CLDAP request to 192.168.33.51 (realm: AD.UMN.EDU)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [AD], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [ad.umn.edu], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD.UMN.EDU; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46,  3] libads/ldap.c:621(ads_connect)
  Successfully contacted LDAP server 192.168.33.51
[2010/04/08 17:29:46, 11] libads/ldap.c:717(ads_connect)
  ads_connect: leaving with: Success
      ads: struct ads_struct
          is_mine                  : true
          ads: struct server
              realm                    : 'AD.UMN.EDU'
              workgroup                : 'AD'
              ldap_server              : NULL
              foreign                  : false
          ads: struct auth
              realm                    : 'AD.UMN.EDU'
              password                 : '(PASSWORD ommited)'
              user_name                : 'ENHS-NUNSTUDY$'
              kdc_server               : '192.168.33.51'
              flags                    : 0x00000002 (2)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     1: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset              : 0x00000000 (0)
              tgt_expire               : (time_t)0
              tgs_expire               : (time_t)0
              renewable                : (time_t)0
          ads: struct config
              flags                    : 0x000011fd (4605)
                     1: DS_SERVER_PDC
                     1: DS_SERVER_GC
                     1: DS_SERVER_LDAP
                     1: DS_SERVER_DS
                     1: DS_SERVER_KDC
                     1: DS_SERVER_TIMESERV
                     1: DS_SERVER_CLOSEST
                     1: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     1: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm                    : 'AD.UMN.EDU'
              bind_path                : 'dc=AD,dc=UMN,dc=EDU'
              ldap_server_name         : 'dceb2.ad.umn.edu'
              server_site_name         : 'TC'
              client_site_name         : 'TC'
              current_time             : (time_t)0
              schema_path              : NULL
              config_path              : NULL
          ads: struct ldap
              ld                       : NULL
              ss                       : 192.168.33.51
              last_attempt             : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port                     : 0x00000185 (389)
              wrap_type                : 0x0001 (1)
              sbiod                    : NULL
              mem_ctx                  : NULL
              wrap_ops                 : NULL
              wrap_private_data        : NULL
              ads: struct in
                  ofs                      : 0x00000000 (0)
                  needed                   : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_wrapped              : 0x00000000 (0)
                  min_wrapped              : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs                      : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_unwrapped            : 0x00000000 (0)
                  sig_size                 : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46,  5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libads/ldap.c:165(ads_closest_dc)
  ads_closest_dc: NBT_SERVER_CLOSEST flag set
[2010/04/08 17:29:46, 10] libads/kerberos.c:853(create_local_private_krb5_conf_for_domain)
  create_local_private_krb5_conf_for_domain: fname = /var/run/samba/smb_krb5/krb5.conf.AD, realm = AD.UMN.EDU, domain = AD
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = SAFJOIN/DOMAIN/AD.UMN.EDU couldn't be found
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = SAF/DOMAIN/AD.UMN.EDU, value = dceb2.ad.umn.edu, timeout = Thu Apr  8 17:44:41 2010
[2010/04/08 17:29:46,  5] libsmb/namequery.c:200(saf_fetch)
  saf_fetch: Returning "dceb2.ad.umn.edu" for "AD.UMN.EDU" domain
[2010/04/08 17:29:46,  3] libsmb/namequery.c:1972(get_dc_list)
  get_dc_list: preferred server list: "dceb2.ad.umn.edu, *"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up AD.UMN.EDU#1c (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/AD.UMN.EDU#1C, value = 192.168.33.52:389,192.168.33.51:389,192.168.33.50:389, timeout = Thu Apr  8 17:40:26 2010
[2010/04/08 17:29:46,  5] libsmb/namecache.c:212(namecache_fetch)
  name AD.UMN.EDU#1C found.
[2010/04/08 17:29:46,  8] libsmb/namequery.c:1993(get_dc_list)
  Adding 3 DC's from auto lookup
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46,  5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up dceb2.ad.umn.edu#20 (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/DCEB2.AD.UMN.EDU#20, value = 192.168.33.51:0, timeout = Thu Apr  8 17:40:26 2010
[2010/04/08 17:29:46,  5] libsmb/namecache.c:212(namecache_fetch)
  name dceb2.ad.umn.edu#20 found.
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.52 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.52
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.50 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.50
[2010/04/08 17:29:46, 10] libsmb/namequery.c:583(remove_duplicate_addrs2)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2010/04/08 17:29:46,  4] libsmb/namequery.c:2105(get_dc_list)
  get_dc_list: returning 3 ip addresses in an ordered list
[2010/04/08 17:29:46,  4] libsmb/namequery.c:2106(get_dc_list)
  get_dc_list: 192.168.33.51:389 192.168.33.52:389 192.168.33.50:389
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = SAFJOIN/DOMAIN/AD.UMN.EDU couldn't be found
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = SAF/DOMAIN/AD.UMN.EDU, value = dceb2.ad.umn.edu, timeout = Thu Apr  8 17:44:41 2010
[2010/04/08 17:29:46,  5] libsmb/namequery.c:200(saf_fetch)
  saf_fetch: Returning "dceb2.ad.umn.edu" for "AD.UMN.EDU" domain
[2010/04/08 17:29:46,  3] libsmb/namequery.c:1972(get_dc_list)
  get_dc_list: preferred server list: "dceb2.ad.umn.edu, *"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up AD.UMN.EDU#1c (sitename (null))
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/AD.UMN.EDU#1C, value = 192.168.33.52:389,192.168.33.51:389,192.168.33.50:389, timeout = Thu Apr  8 17:40:26 2010
[2010/04/08 17:29:46,  5] libsmb/namecache.c:212(namecache_fetch)
  name AD.UMN.EDU#1C found.
[2010/04/08 17:29:46,  8] libsmb/namequery.c:1993(get_dc_list)
  Adding 3 DC's from auto lookup
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = AD_SITENAME/DOMAIN/AD.UMN.EDU, value = TC, timeout = Mon Jan 18 21:14:07 2038
[2010/04/08 17:29:46,  5] libads/dns.c:817(sitename_fetch)
  sitename_fetch: Returning sitename for AD.UMN.EDU: "TC"
[2010/04/08 17:29:46, 10] libsmb/namequery.c:1506(internal_resolve_name)
  internal_resolve_name: looking up dceb2.ad.umn.edu#20 (sitename TC)
[2010/04/08 17:29:46, 10] lib/gencache.c:208(gencache_get)
  Returning valid cache entry: key = NBT/DCEB2.AD.UMN.EDU#20, value = 192.168.33.51:0, timeout = Thu Apr  8 17:40:26 2010
[2010/04/08 17:29:46,  5] libsmb/namecache.c:212(namecache_fetch)
  name dceb2.ad.umn.edu#20 found.
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.52 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.52
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.51 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.51
[2010/04/08 17:29:46, 10] lib/gencache.c:194(gencache_get)
  Cache entry with key = NEG_CONN_CACHE/AD.UMN.EDU,192.168.33.50 couldn't be found
[2010/04/08 17:29:46,  9] libsmb/conncache.c:150(check_negative_conn_cache)
  check_negative_conn_cache returning result 0 for domain AD.UMN.EDU server 192.168.33.50
[2010/04/08 17:29:46, 10] libsmb/namequery.c:583(remove_duplicate_addrs2)
  remove_duplicate_addrs2: looking for duplicate address/port pairs
[2010/04/08 17:29:46,  4] libsmb/namequery.c:2105(get_dc_list)
  get_dc_list: returning 3 ip addresses in an ordered list
[2010/04/08 17:29:46,  4] libsmb/namequery.c:2106(get_dc_list)
  get_dc_list: 192.168.33.51:389 192.168.33.52:389 192.168.33.50:389
[2010/04/08 17:29:46, 10] libads/kerberos.c:804(get_kdc_ip_string)
  get_kdc_ip_string: Returning 	kdc = 192.168.33.51
   kdc = 192.168.33.52
   kdc = 192.168.33.50
   kdc = 192.168.33.52
   kdc = 192.168.33.50

[2010/04/08 17:29:46,  5] libads/kerberos.c:921(create_local_private_krb5_conf_for_domain)
  create_local_private_krb5_conf_for_domain: wrote file /var/run/samba/smb_krb5/krb5.conf.AD with realm AD.UMN.EDU KDC list = 	kdc = 192.168.33.51
   kdc = 192.168.33.52
   kdc = 192.168.33.50
   kdc = 192.168.33.52
   kdc = 192.168.33.50

[2010/04/08 17:29:46,  4] libsmb/namequery_dc.c:143(ads_dc_name)
  ads_dc_name: using server='DCEB2.AD.UMN.EDU' IP=192.168.33.51
[2010/04/08 17:29:46,  5] libads/ldap.c:203(ads_try_connect)
  ads_try_connect: sending CLDAP request to DCEB2.AD.UMN.EDU (realm: AD.UMN.EDU)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [AD], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46, 10] libads/dns.c:778(sitename_store)
  sitename_store: realm = [ad.umn.edu], sitename = [TC], expire = [2147483647]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = AD_SITENAME/DOMAIN/AD.UMN.EDU; value = TC and timeout = Mon Jan 18 21:14:07 2038
   (876717861 seconds ahead)
[2010/04/08 17:29:46,  3] libads/ldap.c:621(ads_connect)
  Successfully contacted LDAP server 192.168.33.51
[2010/04/08 17:29:46, 10] libads/ldap.c:62(ldap_open_with_timeout)
  Opening connection to LDAP server 'dceb2.ad.umn.edu:389', timeout 15 seconds
[2010/04/08 17:29:46, 10] libads/ldap.c:76(ldap_open_with_timeout)
  Connected to LDAP server 'dceb2.ad.umn.edu:389'
[2010/04/08 17:29:46,  3] libads/ldap.c:675(ads_connect)
  Connected to LDAP server dceb2.ad.umn.edu
[2010/04/08 17:29:46, 10] libads/ldap.c:165(ads_closest_dc)
  ads_closest_dc: NBT_SERVER_CLOSEST flag set
[2010/04/08 17:29:46, 10] libsmb/namequery.c:86(saf_store)
  saf_store: domain = [AD], server = [dceb2.ad.umn.edu], expire = [1270766686]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = SAF/DOMAIN/AD; value = dceb2.ad.umn.edu and timeout = Thu Apr  8 17:44:46 2010
   (900 seconds ahead)
[2010/04/08 17:29:46, 10] libsmb/namequery.c:86(saf_store)
  saf_store: domain = [AD.UMN.EDU], server = [dceb2.ad.umn.edu], expire = [1270766686]
[2010/04/08 17:29:46, 10] lib/gencache.c:131(gencache_set)
  Adding cache entry with key = SAF/DOMAIN/AD.UMN.EDU; value = dceb2.ad.umn.edu and timeout = Thu Apr  8 17:44:46 2010
   (900 seconds ahead)
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  5] lib/charcnv.c:82(charset_name)
  Substituting charset 'UTF-8' for LOCALE
[2010/04/08 17:29:46,  4] libads/ldap.c:2849(ads_current_time)
  time offset is -1 seconds
[2010/04/08 17:29:46,  4] libads/sasl.c:1112(ads_sasl_bind)
  Found SASL mechanism GSS-SPNEGO
[2010/04/08 17:29:46,  3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.2.840.48018.1.2.2
[2010/04/08 17:29:46,  3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.2.840.113554.1.2.2
[2010/04/08 17:29:46,  3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.2.840.113554.1.2.2.3
[2010/04/08 17:29:46,  3] libads/sasl.c:780(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got OID=1.3.6.1.4.1.311.2.2.10
[2010/04/08 17:29:46,  3] libads/sasl.c:789(ads_sasl_spnego_bind)
  ads_sasl_spnego_bind: got server principal name = not_defined_in_RFC4178@please_ignore
[2010/04/08 17:29:46,  3] libsmb/clikrb5.c:687(ads_krb5_mk_req)
  ads_krb5_mk_req: krb5_cc_get_principal failed (No credentials cache found)
[2010/04/08 17:29:46, 10] libads/sasl.c:810(ads_sasl_spnego_bind)
  ads_sasl_spnego_krb5_bind failed with: No credentials cache found, calling kinit
[2010/04/08 17:29:46, 10] libads/kerberos.c:188(kerberos_kinit_password_ext)
  kerberos_kinit_password: as ENHS-NUNSTUDY$@AD.UMN.EDU using [MEMORY:net_ads] as ccache and config [/var/run/samba/smb_krb5/krb5.conf.AD]
[2010/04/08 17:29:46,  3] libsmb/clikrb5.c:620(ads_cleanup_expired_creds)
  ads_cleanup_expired_creds: Ticket in ccache[MEMORY:net_ads] expiration Fri, 09 Apr 2010 03:29:46 CDT
[2010/04/08 17:29:46, 10] libsmb/clikrb5.c:718(ads_krb5_mk_req)
  ads_krb5_mk_req: Ticket (ldap/dceb2.ad.umn.edu@AD.UMN.EDU) in ccache (MEMORY:net_ads) is valid until: (Fri, 09 Apr 2010 03:29:46 CDT - 1270801786)
[2010/04/08 17:29:46,  3] libsmb/clikrb5.c:729(ads_krb5_mk_req)
  ads_krb5_mk_req: server marked as OK to delegate to, building forwardable TGT
[2010/04/08 17:29:46, 10] libsmb/clikrb5.c:896(get_krb5_smb_session_key)
  Got KRB5 session key of length 16
[2010/04/08 17:29:46, 11] libads/ldap.c:717(ads_connect)
  ads_connect: leaving with: Success
      ads: struct ads_struct
          is_mine                  : true
          ads: struct server
              realm                    : 'AD.UMN.EDU'
              workgroup                : 'AD'
              ldap_server              : NULL
              foreign                  : false
          ads: struct auth
              realm                    : 'AD.UMN.EDU'
              password                 : '(PASSWORD ommited)'
              user_name                : 'ENHS-NUNSTUDY$'
              kdc_server               : '192.168.33.51'
              flags                    : 0x00000000 (0)
                     0: ADS_AUTH_DISABLE_KERBEROS
                     0: ADS_AUTH_NO_BIND
                     0: ADS_AUTH_ANON_BIND
                     0: ADS_AUTH_SIMPLE_BIND
                     0: ADS_AUTH_ALLOW_NTLMSSP
                     0: ADS_AUTH_SASL_SIGN
                     0: ADS_AUTH_SASL_SEAL
                     0: ADS_AUTH_SASL_FORCE
              time_offset              : 0xffffffff (4294967295)
              tgt_expire               : Fri 09 Apr 2010 03:29:46 AM CDT CDT
              tgs_expire               : Fri 09 Apr 2010 03:29:46 AM CDT CDT
              renewable                : (time_t)0
          ads: struct config
              flags                    : 0x000011fd (4605)
                     1: DS_SERVER_PDC
                     1: DS_SERVER_GC
                     1: DS_SERVER_LDAP
                     1: DS_SERVER_DS
                     1: DS_SERVER_KDC
                     1: DS_SERVER_TIMESERV
                     1: DS_SERVER_CLOSEST
                     1: DS_SERVER_WRITABLE
                     0: DS_SERVER_GOOD_TIMESERV
                     0: DS_SERVER_NDNC
                     0: DS_SERVER_SELECT_SECRET_DOMAIN_6
                     1: DS_SERVER_FULL_SECRET_DOMAIN_6
                     0: DS_DNS_CONTROLLER
                     0: DS_DNS_DOMAIN
                     0: DS_DNS_FOREST
              realm                    : 'AD.UMN.EDU'
              bind_path                : 'dc=AD,dc=UMN,dc=EDU'
              ldap_server_name         : 'dceb2.ad.umn.edu'
              server_site_name         : 'TC'
              client_site_name         : 'TC'
              current_time             : Thu 08 Apr 2010 05:29:45 PM CDT CDT
              schema_path              : NULL
              config_path              : NULL
          ads: struct ldap
              ld                       : *
              ss                       : 192.168.33.51
              last_attempt             : Thu 08 Apr 2010 05:29:46 PM CDT CDT
              port                     : 0x00000185 (389)
              wrap_type                : 0x0001 (1)
              sbiod                    : NULL
              mem_ctx                  : *
              wrap_ops                 : NULL
              wrap_private_data        : NULL
              ads: struct in
                  ofs                      : 0x00000000 (0)
                  needed                   : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_wrapped              : 0x00000000 (0)
                  min_wrapped              : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)
              ads: struct out
                  ofs                      : 0x00000000 (0)
                  left                     : 0x00000000 (0)
                  max_unwrapped            : 0x00000000 (0)
                  sig_size                 : 0x00000000 (0)
                  size                     : 0x00000000 (0)
                  buf: ARRAY(0)

[2010/04/08 17:29:46, 10] libads/ldap.c:165(ads_closest_dc)
  ads_closest_dc: NBT_SERVER_CLOSEST flag set
[2010/04/08 17:29:46, 10] lib/util.c:2626(name_to_fqdn)
  name_to_fqdn: lookup for ENHS-NUNSTUDY -> enhs-nunstudy.ad.umn.edu.
[2010/04/08 17:29:46,  2] lib/interface.c:340(add_interface)
  added interface eth0 ip=fe80::20c:29ff:fe9e:d4f8%eth0 bcast=fe80::ffff:ffff:ffff:ffff%eth0 netmask=ffff:ffff:ffff:ffff::
[2010/04/08 17:29:46,  2] lib/interface.c:340(add_interface)
  added interface eth0 ip=160.94.224.93 bcast=160.94.224.255 netmask=255.255.255.0
[2010/04/08 17:29:46,  4] libads/dns.c:620(ads_dns_lookup_ns)
  ads_dns_lookup_ns: 5 records returned in the answer section.
[2010/04/08 17:29:46, 10] intl/lang_tdb.c:138(lang_tdb_init)
  lang_tdb_init: /usr/share/samba/en_US.UTF-8.msg: No such file or directory
DNS update failed!
[2010/04/08 17:29:46,  2] utils/net.c:779(main)
  return code = -1

====

smb.conf



[global]

   # Name
   server string = Test Samba Server
   netbios name = %h

   # AD Membership pointers
   workgroup = AD
   security = ADS
   realm = AD.UMN.EDU
   local master = no

   # NTLMv2 Security options
   client ntlmv2 auth = yes
   ntlm auth = no

   # Active Directory user mapping options
   # Commented out options can be enabled if AD turns on Unix Extenstions for AD
   idmap backend = tdb
   idmap uid = 16777216-33554431
   idmap gid = 16777216-33554431
   idmap config AD:backend = rid
   idmap config AD:range = 16777216-33554431

   template shell = /bin/bash
   template homedir = /home/%D/%U
   winbind separator = +
   winbind use default domain = yes
   winbind offline logon = true
   winbind enum users = no
   winbind enum groups = no
   winbind refresh tickets = true

   # Increased throughput
   socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192

   # Don't share printers
   load printers = no
Comment 1 Timo Aaltonen 2010-04-16 01:41:46 UTC
I'm seeing this too. Shouldn't it also update the reverse dns if the zone is configured?
Comment 2 Timo Aaltonen 2010-05-14 04:21:55 UTC
Ping? Anything I can do to help fix this bug??
Comment 3 Timo Aaltonen 2010-08-03 04:23:11 UTC
ping again... this is a showstopper for us!
Comment 4 Timo Aaltonen 2010-08-03 05:23:40 UTC
Note that I've tried RHEL 6 Beta 2 and it has the exact same problem...
Comment 5 Stefan Metzmacher 2010-08-03 05:34:31 UTC
Can you upload a network capture?

See http://wiki.samba.org/index.php/Capture_Packets how to create useful captures (we need all traffic)

Comment 6 Timo Aaltonen 2010-08-03 06:22:55 UTC
Created attachment 5881 [details]
dump from ubuntu 10.04
Comment 7 Timo Aaltonen 2010-08-03 06:24:53 UTC
"Dynamic update response, RRset does not exist CNAME A 130.233.201.59 A 130.233.201.59"

that's the error from the server. We are looking if this is a configuration error on the domain, and any pointers would be much welcome :)
Comment 8 Timo Aaltonen 2010-08-03 06:26:32 UTC
note that in this case the records were deleted from the AD. I'll check what happens when the old record exists but needs an update (changed IP).
Comment 9 Timo Aaltonen 2010-08-04 03:42:50 UTC
Created attachment 5883 [details]
working dump with nsupdate-gss

It doesn't matter if the entry exists or not.

The update works with the old nsupdate-gss script:
http://rc.quest.com/pub/rc/ddns/nsupdate-gss/nsupdate-gss

and the resulting dump is attached.
Comment 10 Timo Aaltonen 2010-08-04 06:53:57 UTC
Created attachment 5884 [details]
working dump with samba 3.0.28 on OSX

Here's a dump from OSX 10.6 running samba 3.0.28 where this works.
Comment 11 Guenther Deschner 2011-01-12 16:15:10 UTC
Created attachment 6198 [details]
w2k8r2 patch

This patchset is required to make dns updates work with w2k8r2 at all (at least here), cherry-pick from master
Comment 12 Stefan Metzmacher 2011-01-12 23:53:23 UTC
Comment on attachment 6198 [details]
w2k8r2 patch

Looks good
Comment 13 Stefan Metzmacher 2011-01-12 23:54:15 UTC
Karolin, please pick for the next release
Comment 14 Karolin Seeger 2011-01-13 10:55:47 UTC
Pushed to v3-5-test. Will be included in the next release.
Closing out bug report.

Thanks!
Comment 15 Timo Aaltonen 2011-01-13 14:57:31 UTC
Confirmed working when applied on 3.4.7, thanks! Would you consider this for 3.4.x as well?
Comment 16 Guenther Deschner 2011-01-14 03:58:20 UTC
Yep, needs to get into 3.4 as well. Thanks for testing!
Comment 17 Guenther Deschner 2011-01-14 03:59:10 UTC
Karolin, please pick for 3.4 as well.
Comment 18 Karolin Seeger 2011-01-15 09:53:14 UTC
Pushed to v3-4-test.
Will be included in Samba 3.4.10.
Closing out bug report.

Thanks!